import request from "@/utils/request";

// 查询列表  /question/special/list
export function getList(query) {
  return request({
    url: "/question/special/list",
    method: "get",
    params: query,
  });
}

// 查询详情
export function getDetail(id) {
  return request({
    url: `/question/special/${id}`,
    method: "get",
  });
}

// 新增
export function add(data) {
  return request({
    url: "/question/special",
    method: "post",
    data,
  });
}

// 修改
export function update(data) {
  return request({
    url: "/question/special",
    method: "put",
    data,
  });
}

// 删除
export function del(ids) {
  return request({
    url: `/question/special/${ids}`,
    method: "delete",
  });
}
